%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: Bad Plugins for the Elisa Media Center
Name: elisa-plugins-bad
Version: 0.5.35
Release: 2%{?dist}
License: GPLv3
Group: Applications/Multimedia
URL: http://elisa.fluendo.com/
Source: http://elisa.fluendo.com/static/download/elisa/elisa-plugins-bad-%{version}.tar.gz
Patch0: elisa-plugins-bad-0.5.2-install.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# For the parent directories
Requires: elisa >= %{version}

# Plugin requirements, in order, only once each
# amazon
# amp
# avahi
Requires: dbus-python
Requires: avahi-tools
# coherence
Requires: python-Coherence
# daap
Requires: python-twisted-web2
# database
Requires: python-storm-sqlite
# discogs
#Requires: python-twisted-web2
# dvd
## elisa_updater
# favorites
Requires: ipython
# filtered_shares
# gstreamer
Requires: gstreamer-python
Requires: gstreamer-plugins-good
Requires: python-imaging
# http_client
#Requires: python-twisted-web2
# ipod
Requires: python-gpod
# osso
#Requires: dbus-python
# pigment
Requires: pigment-python >= 0.3.8
Requires: pygtk2
Requires: python-cssutils
# poblesec (gst.element_factory_make('libvisual_jess'))
#Requires: libvisual-plugins
#Requires: pygtk2
#Requires: python-dbus
# search
# shelf
## smbwin32
## winremote
## wmd
# yesfm
Requires: python-simplejson
#Requires: python-twisted-web2

BuildRequires: elisa-base = %{version}
BuildRequires: python-devel
BuildArch: noarch

%description
This package contains the bad set of plugins for the Elisa Media Center,
plugins which are not considered feature complete or polished enough to be
in the good set of plugins, but do not present any licensing issues.


%prep
%setup -q
%patch0 -p1


%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install \
    --single-version-externally-managed \
    -O1 --skip-build --root %{buildroot}
# Remove Windows only plugins
%{__rm} -rf %{buildroot}%{python_sitelib}/elisa/plugins/elisa_updater/ \
            %{buildroot}%{python_sitelib}/elisa_plugin_elisa_updater* \
            %{buildroot}%{python_sitelib}/elisa/plugins/smbwin32/ \
            %{buildroot}%{python_sitelib}/elisa_plugin_smb_win32* \
            %{buildroot}%{python_sitelib}/elisa/plugins/winremote/ \
            %{buildroot}%{python_sitelib}/elisa_plugin_winremote* \
            %{buildroot}%{python_sitelib}/elisa/plugins/wmd/ \
            %{buildroot}%{python_sitelib}/elisa_plugin_wmd*


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{python_sitelib}/elisa/plugins/amazon/
%{python_sitelib}/elisa/plugins/amp/
%{python_sitelib}/elisa/plugins/avahi/
%{python_sitelib}/elisa/plugins/coherence/
%{python_sitelib}/elisa/plugins/daap/
%{python_sitelib}/elisa/plugins/database/
%{python_sitelib}/elisa/plugins/discogs/
%{python_sitelib}/elisa/plugins/dvd/
%{python_sitelib}/elisa/plugins/favorites/
%{python_sitelib}/elisa/plugins/filtered_shares/
%{python_sitelib}/elisa/plugins/gstreamer/
%{python_sitelib}/elisa/plugins/http_client/
%{python_sitelib}/elisa/plugins/ipod/
%{python_sitelib}/elisa/plugins/osso/
%{python_sitelib}/elisa/plugins/pigment/
%{python_sitelib}/elisa/plugins/poblesec/
%{python_sitelib}/elisa/plugins/rss/
%{python_sitelib}/elisa/plugins/search/
%{python_sitelib}/elisa/plugins/shelf/
%{python_sitelib}/elisa/plugins/themoviedb/
%{python_sitelib}/elisa/plugins/thetvdb/
%{python_sitelib}/elisa_plugin_*


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 12 2009 Matthias Saou <http://freshrpms.net/> 0.5.35-1
- Update to 0.5.35.

* Tue Mar  3 2009 Matthias Saou <http://freshrpms.net/> 0.5.30-1
- Update to 0.5.30.

* Sat Feb 28 2009 Matthias Saou <http://freshrpms.net/> 0.5.29-1
- Update to 0.5.29.

* Tue Feb 17 2009 Matthias Saou <http://freshrpms.net/> 0.5.28-1
- Update to 0.5.28.

* Fri Feb 13 2009 Matthias Saou <http://freshrpms.net/> 0.5.27-1
- Update to 0.5.27.
- Remove no longer present yesfm plugin.
- Add new thetvdb and themoviedb plugins.

* Sat Feb  7 2009 Matthias Saou <http://freshrpms.net/> 0.5.26-1
- Update to 0.5.26.

* Mon Jan 26 2009 Matthias Saou <http://freshrpms.net/> 0.5.24.1-1
- Update to 0.5.24.1.

* Mon Jan 12 2009 Matthias Saou <http://freshrpms.net/> 0.5.23-1
- Update to 0.5.23.

* Sun Dec 28 2008 Matthias Saou <http://freshrpms.net/> 0.5.22-2
- Add missing python-cssutils requirement (used in the pigment plugin).

* Thu Dec 18 2008 Matthias Saou <http://freshrpms.net/> 0.5.22-1
- Update to 0.5.22.
- Include new rss plugin.

* Mon Dec  1 2008 Matthias Saou <http://freshrpms.net/> 0.5.20-1
- Update to 0.5.20.

* Mon Nov 24 2008 Matthias Saou <http://freshrpms.net/> 0.5.19-1
- Update to 0.5.19.

* Mon Nov 17 2008 Matthias Saou <http://freshrpms.net/> 0.5.18-1
- Update to 0.5.18.

* Mon Nov 10 2008 Matthias Saou <http://freshrpms.net/> 0.5.17-2
- Add python-simplejson requirement for the yesfm plugin.

* Tue Nov  4 2008 Matthias Saou <http://freshrpms.net/> 0.5.17-1
- Update to 0.5.17.

* Tue Oct 28 2008 Matthias Saou <http://freshrpms.net/> 0.5.16.1-1
- Update to 0.5.16.1.

* Mon Oct 27 2008 Matthias Saou <http://freshrpms.net/> 0.5.16-1
- Update to 0.5.16.

* Tue Oct 21 2008 Matthias Saou <http://freshrpms.net/> 0.5.15-1
- Update to 0.5.15.

* Mon Oct 13 2008 Matthias Saou <http://freshrpms.net/> 0.5.14-1
- Update to 0.5.14.

* Fri Oct 10 2008 Matthias Saou <http://freshrpms.net/> 0.5.13-2
- Build require elisa-base from now on.
- Update description to explain what "bad" plugins are.

* Tue Oct  7 2008 Matthias Saou <http://freshrpms.net/> 0.5.13-1
- Update to 0.5.13.

* Tue Sep 30 2008 Matthias Saou <http://freshrpms.net/> 0.5.12-1
- Update to 0.5.12.

* Tue Sep 23 2008 Matthias Saou <http://freshrpms.net/> 0.5.11-1
- Update to 0.5.11.

* Tue Sep 16 2008 Matthias Saou <http://freshrpms.net/> 0.5.10-1
- Update to 0.5.10.

* Tue Sep  9 2008 Matthias Saou <http://freshrpms.net/> 0.5.9-1
- Update to 0.5.9.

* Mon Sep  2 2008 Matthias Saou <http://freshrpms.net/> 0.5.8-1
- Update to 0.5.8.

* Tue Aug 26 2008 Matthias Saou <http://freshrpms.net/> 0.5.7-1
- Update to 0.5.7.

* Tue Aug 19 2008 Matthias Saou <http://freshrpms.net/> 0.5.6-1
- Update to 0.5.6.
- Require the exact same elisa version, as elisa and all plugins are always
  released all at once and should always match.

* Mon Aug 11 2008 Matthias Saou <http://freshrpms.net/> 0.5.5-1
- Update to 0.5.5.

* Fri Aug  8 2008 Matthias Saou <http://freshrpms.net/> 0.5.4-1
- Update to 0.5.4.

* Tue Jul 29 2008 Matthias Saou <http://freshrpms.net/> 0.5.3-1
- Update to 0.5.3.
- Exclude wmd plugin, the dependency problem should be fixed.
- Disable all %%lang translations, they're gone...

* Wed Jul 23 2008 Matthias Saou <http://freshrpms.net/> 0.5.2-2
- Update to 0.5.2.
- List translations as %%lang.
- Update the build patch which is still required.
- Now build require the elisa-devel package.
- Update requirements.

* Tue Jul 15 2008 Matthias Saou <http://freshrpms.net/> 0.5.1-6
- Update to 0.5.1.
- Add python-cssutils requirement for the pigment theme plugin.
- Include install patch.
- Remove winremote plugin, it seems to be Windows specific (win32api req).
- Remove smbwin32 plugin, it seems to be Windows specific (win32net req).
- Remove wmd plugin, it seems to be Windows specific (win32api req)... NOT! As
  the poblesec plugin requires it anyway (ugly, should go away).
- Remove elisa_updater plugin, as we only want to update elisa with rpms.

* Sun Mar 16 2008 Matthias Saou <http://freshrpms.net/> 0.3.5-1
- Initial RPM release.

